Karma Common API
​string · uuid · required​integer · min: 1 · max: 5 · required​string[]​string · enum · required
​string · uuid · required​string · enum · required​object | null · required
Customer reviews and feedback for purchases
Create review
POST
https://common-api.karma.life
/api/v1/reviews
Create a new review for a purchase. Reviews are linked to purchases via purchase_intent_id and can only be created once per purchase (duplicate submissions are idempotent).
Create review › Request Body
purchaseIntentIdUUID of the purchase intent this review is for
ratingRating from 1 to 5 stars
reviewTagsArray of review tag values
Default: []
Create review › Responses
Default Response
statusEnum values:
success
​object · required
​object · required
Get review by purchase intent ID
GET
https://common-api.karma.life
/api/v1/reviews/{purchaseIntentId}
Get a review by purchase intent ID. Returns null if no review exists for the given purchase (not a 404 error).
path Parameters
purchaseIntentIdUUID of the purchase intent to get the review for
Get review by purchase intent ID › Responses
Default Response
statusEnum values:
success
data​object · required